GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

Get Reddit overview GETList Reddit posts GETGet Reddit post GET
Reddit

Get cited URL GET

One cited URL with its daily rate, position and prompts.

List Reddit posts GET

Cited Reddit posts with citations and average position.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Reddit

Get Reddit overview

GET
/brands/{brandId}/social/reddit/overview

Most cited Reddit posts with daily citation counts.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

engines?string

Comma-separated engine slugs

Lengthlength <= 500
types?string

Comma-separated prompt types

Lengthlength <= 200
intents?string

Comma-separated prompt intents

Lengthlength <= 200
topics?string

Comma-separated topic ids

Lengthlength <= 2000
countries?string

Comma-separated ISO country codes, lowercase

Lengthlength <= 1000
tags?string

Comma-separated prompt tag ids

Lengthlength <= 2000
competitors?string

Comma-separated competitor ids; responses mentioning any

Lengthlength <= 2000
from?string

Answered on or after this UTC date; omit for all time

Match^\d{4}-\d{2}-\d{2}$
to?string

Answered on or before this UTC date; omit for today

Match^\d{4}-\d{2}-\d{2}$

Response Body

Top 7 cited posts and the total

application/json
  1. response
  1. response
  2. …
total*integer
days*array<string>
posts*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/social/reddit/overview'
Example Response
{  "total": 0,  "days": [    "string"  ],  "posts": [    {      "pageId": "347b9bf8-fe00-46f6-b8ca-1e06b3bd5809",      "url": "string",      "community": "string",      "title": "string",      "author": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "fetched": true,      "citations": 0,      "average": 0,      "daily": [        0      ]    }  ]}

Get cited URL GET

One cited URL with its daily rate, position and prompts.

List Reddit posts GET

Cited Reddit posts with citations and average position.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/social/reddit/overview'
{
  "total": 0,
  "days": [
    "string"
  ],
  "posts": [
    {
      "pageId": "347b9bf8-fe00-46f6-b8ca-1e06b3bd5809",
      "url": "string",
      "community": "string",
      "title": "string",
      "author": "string",
      "publishedAt": "2019-08-24T14:15:22Z",
      "fetched": true,
      "citations": 0,
      "average": 0,
      "daily": [
        0
      ]
    }
  ]
}